6.0.0-git
2019-03-19

[#8862] Image uploader
Summary Image uploader
Queue Ansel
Queue Version Git master
Type Enhancement
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester mrubinsk (at) horde (dot) org
Created 2010-02-11 (3323 days ago)
Due
Updated 2010-09-09 (3113 days ago)
Assigned
Resolved 2010-09-09 (3113 days ago)
Milestone
Patch No

History
2010-09-09 21:18:58 Michael Rubinsky Comment #3
Assigned to Michael Rubinsky
State ⇒ Resolved
Reply to this comment
Not 100% complete, but the feature is mostly implemented. Closing ticket.
2010-09-09 21:16:42 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Initial work for new ansel image uploader.
This is a custom uploader using pluploader library. Very basic UI
to start, but is mostly functional. Currently falls back to the old
uploader if browser is noscript. Currently attempt to use the following
to upload in this order: html5, flash, silverlight, browserplus. HTML5 
supports
drag and drop images right onto the uploader box. Images can be added
pretty much at anytime during the lifecycle.

Still need to refactor the upload view into a single Horde-4ish view
object.

Request: 8862

  create mode 100644 ansel/lib/View/Upload.php
  create mode 100644 ansel/templates/image/plupload.inc
  create mode 100644 horde/js/plupload/i18n/da.js
  create mode 100644 horde/js/plupload/i18n/sv.js
  create mode 100644 horde/js/plupload/jquery.plupload.queue.js
  create mode 100644 horde/js/plupload/plupload.browserplus.js
  create mode 100644 horde/js/plupload/plupload.flash.js
  create mode 100644 horde/js/plupload/plupload.flash.swf
  create mode 100644 horde/js/plupload/plupload.gears.js
  create mode 100644 horde/js/plupload/plupload.html4.js
  create mode 100644 horde/js/plupload/plupload.html5.js
  create mode 100644 horde/js/plupload/plupload.js
  create mode 100644 horde/js/plupload/plupload.silverlight.js
  create mode 100644 horde/js/plupload/plupload.silverlight.xap
  create mode 100644 horde/js/plupload/uploader.js
http://git.horde.org/diff.php/ansel/img/upload.php?rt=horde-git&r1=7277728730e6ab11d05f3a5f0c7133315a350917&r2=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/diff.php/ansel/js/carousel.js?rt=horde-git&r1=342c9c84bd64728e7bb89092616407f773ba688a&r2=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/co.php/ansel/lib/View/Upload.php?rt=horde-git&r=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/co.php/ansel/templates/image/plupload.inc?rt=horde-git&r=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/diff.php/ansel/templates/image/upload.inc?rt=horde-git&r1=b0ee59fe2b830806015bb4a030a5106d29cb3993&r2=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/diff.php/ansel/themes/screen.css?rt=horde-git&r1=6520b990fc76e43996fe8656f833bc10218499a7&r2=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/diff.php/ansel/view.php?rt=horde-git&r1=7277728730e6ab11d05f3a5f0c7133315a350917&r2=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/co.php/horde/js/plupload/i18n/da.js?rt=horde-git&r=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/co.php/horde/js/plupload/i18n/sv.js?rt=horde-git&r=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/co.php/horde/js/plupload/jquery.plupload.queue.js?rt=horde-git&r=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/co.php/horde/js/plupload/plupload.browserplus.js?rt=horde-git&r=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/co.php/horde/js/plupload/plupload.flash.js?rt=horde-git&r=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/co.php/horde/js/plupload/plupload.flash.swf?rt=horde-git&r=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/co.php/horde/js/plupload/plupload.gears.js?rt=horde-git&r=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/co.php/horde/js/plupload/plupload.html4.js?rt=horde-git&r=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/co.php/horde/js/plupload/plupload.html5.js?rt=horde-git&r=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/co.php/horde/js/plupload/plupload.js?rt=horde-git&r=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/co.php/horde/js/plupload/plupload.silverlight.js?rt=horde-git&r=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/co.php/horde/js/plupload/plupload.silverlight.xap?rt=horde-git&r=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/co.php/horde/js/plupload/uploader.js?rt=horde-git&r=28a92833c2215a09fec7691c7e6451f55f134ad2
http://git.horde.org/diff.php/horde/themes/screen.css?rt=horde-git&r1=21bbb83fda471d2a576c9c10b49d16ddc88f5ad6&r2=28a92833c2215a09fec7691c7e6451f55f134ad2
2010-02-11 01:43:09 Michael Rubinsky Comment #1
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 2. Medium
Summary ⇒ Image uploader
Queue ⇒ Ansel
Milestone ⇒
Patch ⇒ No
Reply to this comment

Saved Queries